# file: $isip/class/sp/AudioFrontEnd/GNUmakefile
# version: $Id: GNUmakefile 8366 2002-07-13 19:05:04Z picone $
#
# this make file builds the AudioFrontEnd class
# 

# define the source files
#
ISIP_FILES = *.cc

# define the header files that need to be installed
#
ISIP_HEADER_FILES = AudioFrontEnd.h

# define other dependencies (headers are included automatically)
#
ISIP_DEPS = FrontEndBase.h FtrBuffer.h AlgorithmBase.h AudioFile.h \
	    FeatureFile.h Filename.h Recipe.h Vector.h SingleLinkedList.h \
            Component.h String.h Float.h Long.h Boolean.h 

# define the output library
#
ISIP_OLIB = lib_sp.a

# define the compilation flags
# 
ISIP_CFLAGS = 

# include the isip standard make template
#
include $(ISIP_DEVEL)/lib/scripts/make/compile.make

#
# end of file

